de.esprit.appsuite.io

## Class ExtendedGZIPOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.util.zip.DeflaterOutputStream
      - - java.util.zip.GZIPOutputStream
        - - de.esprit.appsuite.io.ExtendedGZIPOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class ExtendedGZIPOutputStream
      extends java.util.zip.GZIPOutputStream

  This class allows for setting a `CompressionLevel` on a `GZIPOutputStream`
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class java.util.zip.GZIPOutputStream

      `crc`

    - ### Fields inherited from class java.util.zip.DeflaterOutputStream

      `buf, def`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedGZIPOutputStream(java.io.OutputStream out)`
    `ExtendedGZIPOutputStream(java.io.OutputStream out, CompressionLevel level)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCompressionLevel(CompressionLevel level)`

    - ### Methods inherited from class java.util.zip.GZIPOutputStream

      `finish, write`

    - ### Methods inherited from class java.util.zip.DeflaterOutputStream

      `close, deflate, flush, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedGZIPOutputStream

          public ExtendedGZIPOutputStream(java.io.OutputStream out,
                                  CompressionLevel level)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### ExtendedGZIPOutputStream

          public ExtendedGZIPOutputStream(java.io.OutputStream out)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### setCompressionLevel

          public void setCompressionLevel(CompressionLevel level)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.